package com.fs.live.service.impl;

import java.util.List;
import com.fs.common.utils.DateUtils;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.live.mapper.LiveUserLikeMapper;
import com.fs.live.domain.LiveUserLike;
import com.fs.live.service.ILiveUserLikeService;

/**
 * 用户直播赞Service业务层处理
 *
 * @author fs
 * @date 2025-07-11
 */
@Service
public class LiveUserLikeServiceImpl implements ILiveUserLikeService {
    @Autowired
    private LiveUserLikeMapper baseMapper;

    /**
     * 查询用户直播赞
     *
     * @param id 用户直播赞主键
     * @return 用户直播赞
     */
    @Override
    public LiveUserLike selectLiveUserLikeById(Long id)
    {
        return baseMapper.selectLiveUserLikeById(id);
    }

    /**
     * 查询用户直播赞列表
     *
     * @param liveUserLike 用户直播赞
     * @return 用户直播赞
     */
    @Override
    public List<LiveUserLike> selectLiveUserLikeList(LiveUserLike liveUserLike)
    {
        return baseMapper.selectLiveUserLikeList(liveUserLike);
    }

    /**
     * 新增用户直播赞
     *
     * @param liveUserLike 用户直播赞
     * @return 结果
     */
    @Override
    public int insertLiveUserLike(LiveUserLike liveUserLike)
    {
        liveUserLike.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertLiveUserLike(liveUserLike);
    }

    /**
     * 修改用户直播赞
     *
     * @param liveUserLike 用户直播赞
     * @return 结果
     */
    @Override
    public int updateLiveUserLike(LiveUserLike liveUserLike)
    {
        liveUserLike.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateLiveUserLike(liveUserLike);
    }

    /**
     * 批量删除用户直播赞
     *
     * @param ids 需要删除的用户直播赞主键
     * @return 结果
     */
    @Override
    public int deleteLiveUserLikeByIds(Long[] ids)
    {
        return baseMapper.deleteLiveUserLikeByIds(ids);
    }

    /**
     * 删除用户直播赞信息
     *
     * @param id 用户直播赞主键
     * @return 结果
     */
    @Override
    public int deleteLiveUserLikeById(Long id)
    {
        return baseMapper.deleteLiveUserLikeById(id);
    }

    @Override
    public LiveUserLike selectLiveUserLikeByIds(Long liveId, Long userId) {
        return baseMapper.selectLiveUserLikeByIds(liveId, userId);
    }
}
